[FFe] Please add gnome-lirc-properties

Bug #192368 reported by Murray Cumming on 2008-02-16
18
Affects Status Importance Assigned to Milestone
Ubuntu
Wishlist
Unassigned

Bug Description

We would like to add gnome-lirc-properties to Ubuntu's Universe (or even main) repository for Hardy Heron. It is a GUI to make it much easier to configure remote controls, using lirc. Some more details are here:
http://www.murrayc.com/blog/permalink/2008/02/07/gnome-lirc-properties-a-gui-to-configure-infra-red-remote-controls/

This has been created by Openismus together with the Elisa developers, working together with the Ubuntu Media Center developers, who I believe support the idea.

We already have a package in the Openismus PPA:
https://launchpad.net/~openismus-team/+archive

The license is GPL v2 or later. Currently, the PPA is the best place for the latest tarball:
https://launchpad.net/~openismus-team/+archive
(but I will upload it to ftp.gnome.org soon)
and the svn is here:
https://code.fluendo.com/remotecontrol/trac/browser/trunk

Florian Boucault (fboucault) wrote :

I would like to emphasis the importance of this tool that has no equivalent and that makes configuring remote controls possible without any command line involved.

Mathias Hasselmann (hasselmm) wrote :

Uploaded yet another release to our PPA:
https://launchpad.net/~openismus-team/+archive

Also uploaded the tarball to the GNOME FTP servers:
http://download.gnome.org/sources/gnome-lirc-properties/0.1/

StefanPotyra (sistpoty) wrote :

Hi,

please get the package in shape first (i.e. have it reviewed and fix obvious packaging errors) before requesting an UVF exception. Hence marking the bug as invalid. If you've got a package, which a MOTU would upload to the archives, feel free to reopen.

Cheers,
     Stefan.

StefanPotyra (sistpoty) wrote :

Ugh... sorry, just saw that this was the original needs-packaging bug. setting back the state and unsubscribing motu-release. Please start an exception with a fresh bug, but the aforementioned comment still stands though.

Murray Cumming (murrayc) wrote :

Could someone help out by telling us what the "obvious packaging errors" are?

I'm not an experienced packager - I'm just trying to help out a Ubuntu developer who might want to package this.

StefanPotyra (sistpoty) wrote :

Murray, well, I stopped looking at it, after I saw that it was a native package. You could for example ask on #ubuntu-motu to get the package reviewed, or ask on the ubuntu-motu mailing list (<email address hidden>).

Mathias Hasselmann (hasselmm) wrote :
Download full text (4.0 KiB)

Seems Stefan refers to this warnings you see when running "debuild -i":

Now running lintian...
W: gnome-lirc-properties source: dh-make-template-in-source debian/init.d.lsb.ex
W: gnome-lirc-properties source: dh-make-template-in-source debian/manpage.1.ex
W: gnome-lirc-properties source: dh-make-template-in-source debian/init.d.ex
W: gnome-lirc-properties source: dh-make-template-in-source debian/postrm.ex
W: gnome-lirc-properties source: dh-make-template-in-source debian/emacsen-remove.ex
W: gnome-lirc-properties source: dh-make-template-in-source debian/emacsen-install.ex
W: gnome-lirc-properties source: dh-make-template-in-source debian/cron.d.ex
W: gnome-lirc-properties source: dh-make-template-in-source debian/prerm.ex
W: gnome-lirc-properties source: dh-make-template-in-source debian/gnome-lirc-properties.doc-base.EX
W: gnome-lirc-properties source: dh-make-template-in-source debian/manpage.xml.ex
W: gnome-lirc-properties source: dh-make-template-in-source debian/postinst.ex
W: gnome-lirc-properties source: dh-make-template-in-source debian/emacsen-startup.ex
W: gnome-lirc-properties source: dh-make-template-in-source debian/watch.ex
W: gnome-lirc-properties source: dh-make-template-in-source debian/preinst.ex
W: gnome-lirc-properties source: dh-make-template-in-source debian/gnome-lirc-properties-default.ex
W: gnome-lirc-properties source: dh-make-template-in-source debian/menu.ex
W: gnome-lirc-properties source: dh-make-template-in-source debian/manpage.sgml.ex
W: gnome-lirc-properties source: native-package-with-dash-version
W: gnome-lirc-properties: binary-without-manpage usr/bin/gnome-lirc-properties
W: gnome-lirc-properties: package-installs-python-pyc usr/lib/python2.5/site-packages/gnome_lirc_properties/__init__.pyc
W: gnome-lirc-properties: package-installs-python-pyc usr/lib/python2.5/site-packages/gnome_lirc_properties/config.pyc
W: gnome-lirc-properties: package-installs-python-pyc usr/lib/python2.5/site-packages/gnome_lirc_properties/hardware.pyc
W: gnome-lirc-properties: package-installs-python-pyc usr/lib/python2.5/site-packages/gnome_lirc_properties/lirc.pyc
W: gnome-lirc-properties: package-installs-python-pyc usr/lib/python2.5/site-packages/gnome_lirc_properties/model.pyc
W: gnome-lirc-properties: package-installs-python-pyc usr/lib/python2.5/site-packages/gnome_lirc_properties/policykit.pyc
W: gnome-lirc-properties: package-installs-python-pyc usr/lib/python2.5/site-packages/gnome_lirc_properties/ui/CustomConfiguration.pyc
W: gnome-lirc-properties: package-installs-python-pyc usr/lib/python2.5/site-packages/gnome_lirc_properties/ui/ReceiverChooserDialog.pyc
W: gnome-lirc-properties: package-installs-python-pyc usr/lib/python2.5/site-packages/gnome_lirc_properties/ui/RemoteControlProperties.pyc
W: gnome-lirc-properties: package-installs-python-pyc usr/lib/python2.5/site-packages/gnome_lirc_properties/ui/__init__.pyc
W: gnome-lirc-properties: package-installs-python-pyc usr/lib/python2.5/site-packages/gnome_lirc_properties/ui/common.pyc
W: gnome-lirc-properties: package-installs-python-pyc usr/lib/python2.5/site-packages/gnome_lirc_properties/upload/HttpUploader.pyc
W: gnome-lirc-properties: package-installs-python-pyc...

Read more...

Murray Cumming (murrayc) wrote :

I have uploaded a new package which should not be a "native" package.

Mathias Hasselmann (hasselmm) wrote :

We've got another package in our PPA now, with all but one issues resolved:

$ lintian gnome-lirc-properties_0.2.0-0ubuntu1~ppa3_i386.deb
W: gnome-lirc-properties: package-contains-empty-directory usr/share/locale/
$

This warning happens, 'cause we don't have message catalogs yet.

StefanPotyra (sistpoty) wrote :

Hi again,

while I personally think, that a tool to configure the lirc would very well warrant a freeze exception, please contact the ubuntu-motu mailing list or even better ask on #ubuntu-motu.
The usual procedure is to upload a package candidate to REVU[1] and get it reviewed, but since we're in FeatureFreeze right now there is no guarantee for a review, even if the package is on REVU.
However every new package needs to get acknowledged by two Ubuntu developers before it may enter the official archive. With a plain needs packaging bug and updates happening *only* here, Ubuntu developers won't take notice about your progress, and hence won't review the package. This of course means that it won't be part of hardy...

Cheers,
     Stefan.
--
[1]: https://wiki.ubuntu.com/MOTU/Packages/REVU

Mathias Hasselmann (hasselmm) wrote :

Thank you for your help so far. The package is uploaded to REVU now[1]. Linda complains[2]:

    W: gnome-lirc-properties; 3.7.3 is a newer Standards-Version.
     This package appears to conform to a newer Standards-Version that has
     been released. One of us is incorrect.

But seems this is because Linda on REVU is slightly out-of-date. It least I was told that on #ubuntu-motu.
Let's see if I can find some reviewers tomorrow: It's late now.

[1]: http://revu.tauware.de/details.py?package=gnome-lirc-properties
[2] (http://revu.tauware.de/revu1-incoming/gnome-lirc-properties-0802230010/linda)

Murray Cumming (murrayc) wrote :

Note that this requires this patch for lirc:
https://bugs.launchpad.net/ubuntu/+source/lirc/+bug/197493
(I don't know how to mark one launchpad bug as dependent on another.)

Mathias Hasselmann (hasselmm) wrote :

It would be really nice to get this package into Hardy still.
The program is unique in its simplicity for configuring LIRC powered remotes.

The package at REVU should be in good shape now:
http://revu.tauware.de/details.py?upid=2181

StefanPotyra (sistpoty) wrote :

as I've reviewed the package already, ACK #1 from me for the FFe as well.

Before approving this, someone ought to check with slangesek to see if the
archive admins will look at it.

StefanPotyra (sistpoty) wrote :

<sistpoty|work> slangasek: would there be time for the archive admins to walk gnome-lirc-properties walk through source-new? (FFe for new ubuntu package, see above)
<slangasek> sistpoty|work: I expect so, but can't really promise it

Scott Kitterman (kitterman) wrote :

Ack #2 and approved.

7t5r4 (rahul07459) wrote :

Ubuntu is the figurehead of Ubuntu, not Kubuntu. Ubuntu is based on GNOME, so when the flagship product's DE still struggles for basic feature parity (IE, restore from the trash) in 2008, well, that certainly doesn't make Ubuntu look any better. I guess it's not really a criticism of Ubuntu so much as it's me just saying that I wish Ubuntu had picked KDE as its primary DE instead of GNOME.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers